Skip to main content
`Ctrl`+`K`

# PetscSegBufferExtractInPlace

extract in-place contiguous representation of data and reset segmented buffer for reuse

## Synopsis

    PetscErrorCode PetscSegBufferExtractInPlace(PetscSegBuffer seg, void *contig)

Not Collective, No Fortran Support

## Input Parameter

- seg - `PetscSegBuffer` object

## Output Parameter

- contig - address of pointer to contiguous memory, may be `NULL`

## See Also

`PetscSegBuffer`, `PetscSegBufferExtractAlloc()`, `PetscSegBufferExtractTo()`

## Level

developer

## Location

src/sys/utils/segbuffer.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages